%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/mattn/go-runewidth
Version:                0.0.15

%gometa

%global common_description %{expand:
Package go-runewidth provides functions to get fixed width of a character or
string.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Functions for getting fixed width of a character or string

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.15-1
- initial build
